News: TinyPortal Release Schedule. Please read this update for More Info.

Login  |  Register
HTML5 Icon HTML5 Icon
TP on Social Media
Welcome, Guest. Please login or register.
Did you miss your activation email?

November 14, 2019, 07:47:58 AM

Login with username, password and session length

Recent

Members
Stats
  • Total Posts: 189259
  • Total Topics: 20772
  • Online Today: 435
  • Online Ever: 629
  • (November 08, 2018, 01:36:54 PM)
Users Online
Users: 0
Guests: 43
Total: 43

Author Topic: Updating  (Read 2152 times)

0 Members and 1 Guest are viewing this topic.

Andrei2000PC

  • Guest
Updating
« on: February 20, 2010, 05:38:52 PM »
When try to update to TinyPortal v1.0 beta 4

my package manager doesn't show the Uninstall
for "13.     TinyPortal      0.98"

What should I do?
Am i just missing it is why?


"This package cannot be uninstalled, because there is no uninstaller!

Please contact the mod author for more information."
« Last Edit: February 20, 2010, 05:50:43 PM by Andrei2000PC »

Offline IchBin™

  • Developer
  • *
  • Posts: 16228
    • My Website
Re: Updating
« Reply #1 on: February 20, 2010, 07:30:47 PM »
If you use the search for the exact error you get, you'll find that this error has been covered many times. Download the zip file from your packages folder. Open the zip and edit the xml file. Find the section for <uninstall> and change the SMF version numbers to allow your version of SMF. Zip the files up again and upload and replace the package on your server. The uninstall should be there at this point.

Andrei2000PC

  • Guest
Re: Updating
« Reply #2 on: February 21, 2010, 07:38:00 PM »
If I want to move the database (SQL, phpmyadmin) back to my back
backed up(old copy) version (in other words an older copy of the site version),
would my database (SQL, phpmyadmin) stop reading if new info is added
from the new updates and is sent (copied) back to my old version
"if none of the new functions were added/messed with. Confusing huh?"
« Last Edit: February 21, 2010, 07:47:15 PM by Andrei2000PC »

Offline IchBin™

  • Developer
  • *
  • Posts: 16228
    • My Website
Re: Updating
« Reply #3 on: February 21, 2010, 09:17:12 PM »
What? Why would a database stop reading?

Andrei2000PC

  • Guest
Re: Updating
« Reply #4 on: February 21, 2010, 09:41:16 PM »
I just want to make sure the database that reads the new info from the updated version of Tinyportal will still work and read the info if I had to downgrade my Tinyportal from a backed up version as .98 or so. Ect. Get what I'm trying to say here>

Offline ZarPrime

  • Friends
  • *
  • Posts: 4653
Re: Updating
« Reply #5 on: February 22, 2010, 10:04:29 AM »
Andrei2000PC,

I'm not exactly sure what you are asking but if you upgrade to TP 1.0 beta 4 and then want to "downgrade" back down to TP 0.98, you must use the backed up database from your SMF from when you had TP 0.98 installed.  There is no path to downgrade, or revert back to TP 0.98 except to revert back to your old database, uninstall TP 1.0 beta 4, and install TP 0.98.  when you do this, you will lose any content that has posted on your site since you made the backup.  This includes posts and topics.

I can't really think of a reason why you would want to go back to TP 0.98 after using TP 1.0 beta 4 but to each his own.

ZarPrime